package com.ex.myapplication.db;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.util.Log;


import net.zetetic.database.sqlcipher.SQLiteDatabase;
import net.zetetic.database.sqlcipher.SQLiteOpenHelper;



public class LoginDb extends SQLiteOpenHelper {

	public final String Patient_Table = "PatientDetails";
	private String TAG = "loginDB";
	public Cursor cursorLogin;

	public static final String dbName 				= "DbLogin.db";
	private static final Integer DB_VERSION = 2;
	private static LoginDb sInstance;

	public static synchronized LoginDb getInstance(Context context) {
		// Use the application context, which will ensure that you
		// don't accidentally leak an Activity's context.
		// See this article for more information: http://bit.ly/6LRzfx
		if (sInstance == null) {
			Log.d("LoginDb", "Creating new instance as existing is null");
			sInstance = new LoginDb(context.getApplicationContext());
		}
		return sInstance;
	}

	private LoginDb(Context context) {
		super(context, dbName, getKeyPref(), null, DB_VERSION, 1 , null, null, false);
	}

	private static String getKeyPref() {
		return String.format("%s%s", "Test123", "321tseT");
	}


	/*************** Database Helper ***************/


	@Override
	public void onCreate(SQLiteDatabase db) {

		String CREATE_Patient_Table = "CREATE TABLE IF NOT EXISTS "
				+ Patient_Table + "(" + "Patient_id INTEGER PRIMARY KEY,"
				+ "Full_name TEXT," + "Nick_name TEXT," + "Password TEXT"
				+ "," + "Dob TEXT" + "," + "Sex TEXT" + "," + "type TEXT)";

		db.execSQL(CREATE_Patient_Table);


	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		if (oldVersion == 1) {
			db.execSQL("DROP TABLE IF EXISTS " + Patient_Table);

			String CREATE_Patient_Table = "CREATE TABLE IF NOT EXISTS "
					+ Patient_Table + "(" + "Patient_id INTEGER PRIMARY KEY,"
					+ "Full_name TEXT," + "Nick_name TEXT," + "Password TEXT"
					+ "," + "Dob TEXT" + "," + "Sex TEXT" + "," + "type TEXT)";
			db.execSQL(CREATE_Patient_Table);
		}

	}


	public void insert_Patient_Data(ClassUser classUser) {
		try {

			SQLiteDatabase db = this.getWritableDatabase();
			db.execSQL("DELETE  FROM " + Patient_Table + " WHERE Patient_id!=0");
			ContentValues values_Settings = new ContentValues();
			values_Settings.put("Patient_id", classUser.getPatientId());
			values_Settings.put("Full_name", classUser.getFullName());
			values_Settings.put("Nick_name", classUser.getNickName());
			values_Settings.put("Password", classUser.getPassword());
			values_Settings.put("Dob", "1234");
			values_Settings.put("type", classUser.getType());
			values_Settings.put("Sex", classUser.getGender());


			db.insert(Patient_Table, null, values_Settings);
			db.close();
		} catch (Exception ex) {
			Log.d(TAG, ex.getMessage());
		}

	}


	public ClassUser getPatient() {
		SQLiteDatabase db = this.getReadableDatabase();

		cursorLogin = db.rawQuery("SELECT  *  FROM " + Patient_Table, null);
		ClassUser classuser = new ClassUser();
		if (cursorLogin.getCount() > 0) {
			classuser = new ClassUser();
			if (cursorLogin.moveToFirst()) {
				do {
					classuser.setNickName(cursorLogin.getString(cursorLogin
							.getColumnIndex("Nick_name")));

					classuser
					.setPatientId(cursorLogin
							.getString(cursorLogin
									.getColumnIndex("Patient_id")));
					classuser.setPassword(cursorLogin.getString(cursorLogin
							.getColumnIndex("Password")));
					classuser.setGender(cursorLogin.getString(cursorLogin
							.getColumnIndex("Sex")));
					classuser.setType(cursorLogin.getString(cursorLogin
							.getColumnIndex("type")));


				} while (cursorLogin.moveToNext());
			}
		}
		cursorLogin.close();
		db.close();
		return classuser;
	}

}
